Loading...
Searching...
No Matches
pcl::GreedyVerification< ModelT, SceneT > Class Template Reference
Module recognition

A greedy hypothesis verification method. More...

`#include <pcl/recognition/hv/greedy_verification.h>`

Inheritance diagram for pcl::GreedyVerification< ModelT, SceneT >:

## Public Member Functions

| GreedyVerification (float reg=1.5f)
| Constructor.
void | verify () override
| Starts verification.
Public Member Functions inherited from pcl::HypothesisVerification< ModelT, SceneT >
| HypothesisVerification ()
virtual | ~HypothesisVerification ()=default
bool | getRequiresNormals ()
void | setResolution (float r)
void | setOcclusionThreshold (float t)
void | setInlierThreshold (float r)
void | getMask (std::vector< bool > &mask)
void | addCompleteModels (std::vector< typename pcl::PointCloud< ModelT >::ConstPtr > &complete_models)
void | addNormalsClouds (std::vector< pcl::PointCloud< pcl::Normal >::ConstPtr > &complete_models)
void | addModels (std::vector< typename pcl::PointCloud< ModelT >::ConstPtr > &models, bool occlusion_reasoning=false)
void | setSceneCloud (const typename pcl::PointCloud< SceneT >::Ptr &scene_cloud)
void | setOcclusionCloud (const typename pcl::PointCloud< SceneT >::Ptr &occ_cloud)

## Additional Inherited Members

Protected Attributes inherited from pcl::HypothesisVerification< ModelT, SceneT >
std::vector< bool > | mask_
pcl::PointCloud< SceneT >::ConstPtr | scene_cloud_
pcl::PointCloud< SceneT >::ConstPtr | occlusion_cloud_
bool | occlusion_cloud_set_
pcl::PointCloud< SceneT >::Ptr | scene_cloud_downsampled_
pcl::search::KdTree< SceneT >::Ptr | scene_downsampled_tree_
std::vector< typename pcl::PointCloud< ModelT >::ConstPtr > | visible_models_
std::vector< typename pcl::PointCloud< pcl::Normal >::ConstPtr > | visible_normal_models_
std::vector< typename pcl::PointCloud< ModelT >::ConstPtr > | complete_models_
std::vector< typename pcl::PointCloud< pcl::Normal >::ConstPtr > | complete_normal_models_
int | zbuffer_scene_resolution_
int | zbuffer_self_occlusion_resolution_
float | resolution_
float | inliers_threshold_
float | occlusion_thres_
bool | requires_normals_
bool | normals_set_

## Detailed Description

template<typename ModelT, typename SceneT>
class pcl::GreedyVerification< ModelT, SceneT >

A greedy hypothesis verification method.

Author
  Aitor Aldoma

Definition at line 54 of file greedy_verification.h.

## Constructor & Destructor Documentation

## GreedyVerification()

template<typename ModelT , typename SceneT >

pcl::GreedyVerification< ModelT, SceneT >::GreedyVerification | ( | float | reg = `1.5f` | ) |

inline

Constructor.

Parameters

  [in] | reg | Regularizer value

Definition at line 171 of file greedy_verification.h.

## Member Function Documentation

## verify()

template<typename ModelT , typename SceneT >

void pcl::GreedyVerification< ModelT, SceneT >::verify | ( |  | ) |

override virtual

Starts verification.

Implements pcl::HypothesisVerification< ModelT, SceneT >.

Definition at line 111 of file greedy_verification.hpp.

The documentation for this class was generated from the following files:

- pcl/recognition/hv/greedy_verification.h
- pcl/recognition/impl/hv/greedy_verification.hpp